Package ghidra.pcode.opbehavior

# Class OpBehaviorFloatNotEqual

java.lang.Object
ghidra.pcode.opbehavior.OpBehavior
ghidra.pcode.opbehavior.BinaryOpBehavior
ghidra.pcode.opbehavior.OpBehaviorFloatNotEqual

public class OpBehaviorFloatNotEqual extends BinaryOpBehavior

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpBehaviorFloatNotEqual()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `evaluateBinary(int sizeout, int sizein, long in1, long in2)`
  Evaluate the binary (2 input args) operation using long data
  `BigInteger`
  `evaluateBinary(int sizeout, int sizein, BigInteger in1, BigInteger in2)`
  Evaluate the binary (2 input args) operation using BigInteger data

  ### Methods inherited from class ghidra.pcode.opbehavior.OpBehavior

  `getOpCode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OpBehaviorFloatNotEqual

    public OpBehaviorFloatNotEqual()

- ## Method Details

  - ### evaluateBinary

    public long evaluateBinary(int sizeout, int sizein, long in1, long in2)
    Description copied from class: `BinaryOpBehavior`
    Evaluate the binary (2 input args) operation using long data
    Specified by:
      `evaluateBinary` in class `BinaryOpBehavior`
    Parameters:
      `sizeout` - intended output size (bytes)
      `sizein` - in1 size (bytes)
      `in1` - unsigned input 1
      `in2` - unsigned input 2
    Returns:
      operation result. NOTE: if the operation overflows bits may be set beyond the specified sizeout. Even though results should be treated as unsigned it may be returned as a signed long value. It is expected that the returned result always be properly truncated by the caller since the evaluation may not - this is done to conserve emulation cycles.
    See Also:
      - `Utils.longToBytes(long, int, boolean)`
      - `Utils.bytesToLong(byte[], int, boolean)`

  - ### evaluateBinary

    public BigInteger evaluateBinary(int sizeout, int sizein, BigInteger in1, BigInteger in2)
    Description copied from class: `BinaryOpBehavior`
    Evaluate the binary (2 input args) operation using BigInteger data
    Specified by:
      `evaluateBinary` in class `BinaryOpBehavior`
    Parameters:
      `sizeout` - intended output size (bytes)
      `sizein` - in1 size (bytes)
      `in1` - unsigned input 1
      `in2` - unsigned input 2
    Returns:
      operation result. NOTE: if the operation overflows bits may be set beyond the specified sizeout. Even though results should be treated as unsigned it may be returned as a signed value. It is expected that the returned result always be properly truncated by the caller since the evaluation may not - this is done to conserve emulation cycles.
    See Also:
      - `Utils.bigIntegerToBytes(BigInteger, int, boolean)`
      - `Utils.bytesToBigInteger(byte[], int, boolean, boolean)`